### Hierarchy

- LoginMenu
  - LoginMenu

### Implements

- IEventHandler

## Index

### Constructors

- constructor

### Properties

- node
- EVENT_LOGGED_IN
- EVENT_LOGGED_OUT
- MULTI_EVENT_SEPARATOR

### Methods

- fire
- forceShowDialog
- getRegisteredHandlerCount
- off
- on
- propagate
- stopPropagation

## Constructors

### constructor

- new LoginMenu(header: AppHeader, options?: ILoginMenuOptions): LoginMenu

- Overrides LoginMenu.__constructor

  - Defined in menu/LoginMenu.ts:17

  #### Parameters

  - ##### header: AppHeader

  - ##### Default value options: ILoginMenuOptions = {}

  #### Returns LoginMenu

## Properties

### node

node: HTMLUListElement

Inherited from LoginMenu.node

- Defined in ../phovea_security_flask/src/LoginMenu.ts:59

### Static EVENT_LOGGED_IN

EVENT_LOGGED_IN: "loggedIn" = "loggedIn"

Inherited from LoginMenu.EVENT_LOGGED_IN

- Defined in ../phovea_security_flask/src/LoginMenu.ts:56

### Static EVENT_LOGGED_OUT

EVENT_LOGGED_OUT: "loggedOut" = "loggedOut"

Inherited from LoginMenu.EVENT_LOGGED_OUT

- Defined in ../phovea_security_flask/src/LoginMenu.ts:57

### Static MULTI_EVENT_SEPARATOR

MULTI_EVENT_SEPARATOR: "," = ","

Inherited from EventHandler.MULTI_EVENT_SEPARATOR

- Defined in /workspaces/releases/phovea_security_flask/node_modules/phovea_core/src/event.ts:136

## Methods

### fire

- fire(events: string, ...args: any[]): this

- Inherited from EventHandler.fire

  - Defined in /workspaces/releases/phovea_security_flask/node_modules/phovea_core/src/event.ts:210

  fires an event

  #### Parameters

  - ##### events: string

    name(s) of the event

  - ##### Rest ...args: any[]

    additional arguments

  #### Returns this

### forceShowDialog

- forceShowDialog(): void

- Inherited from LoginMenu.forceShowDialog

  - Defined in ../phovea_security_flask/src/LoginMenu.ts:135

  #### Returns void

### getRegisteredHandlerCount

- getRegisteredHandlerCount(): object

- Inherited from EventHandler.getRegisteredHandlerCount

  - Defined in /workspaces/releases/phovea_security_flask/node_modules/phovea_core/src/event.ts:196

  list for each registered event the number of listeners

  #### Returns object

  - ##### [key: string]: number

### off

- off(events: string | object, handler?: IEventListener): this

- Inherited from EventHandler.off

  - Defined in /workspaces/releases/phovea_security_flask/node_modules/phovea_core/src/event.ts:172

  unregister a global event handler

  #### Parameters

  - ##### events: string | object

  - ##### Optional handler: IEventListener

  #### Returns this

### on

- on(events: string | object, handler?: IEventListener): this

- Inherited from EventHandler.on

  - Defined in /workspaces/releases/phovea_security_flask/node_modules/phovea_core/src/event.ts:150

  register a global event handler

  #### Parameters

  - ##### events: string | object

    either one event string (multiple are supported using , as separator) or a map of event handlers

  - ##### Optional handler: IEventListener

    the handler in case of a given string

  #### Returns this

### propagate

- propagate(progatee: IEventHandler, ...events: string[]): void

- Inherited from EventHandler.propagate

  - Defined in /workspaces/releases/phovea_security_flask/node_modules/phovea_core/src/event.ts:230

  registers on the given event handler and propagates the given events to itself

  #### Parameters

  - ##### progatee: IEventHandler

  - ##### Rest ...events: string[]

  #### Returns void

### stopPropagation

- stopPropagation(progatee: IEventHandler, ...events: string[]): void

- Inherited from EventHandler.stopPropagation

  - Defined in /workspaces/releases/phovea_security_flask/node_modules/phovea_core/src/event.ts:234

  #### Parameters

  - ##### progatee: IEventHandler

  - ##### Rest ...events: string[]

  #### Returns void

Generated using TypeDoc